<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\DrucklistenAllgemein\Drucklisten\SendVhsInfoDruckListen;


abstract class SendVhsInfoDruckListenAllgemeinController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getRequestObj()
  {
    
    $requestObj = new SendVhsInfoDruckListenAllgemeinRequest();

    
    
    $requestObj->kursIds = explode(':', \RequestOperations::getVarValue('nr', ''));
    $requestObj->liste = \RequestOperations::getVarValue('liste', ''); 

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SendVhsInfoDruckListenAllgemeinPresenter($pUseCaseResponse);
  }
}